Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.msg
Class EditPaneUpdate

    java.lang.Object
      org.gjt.sp.jedit.EBMessage
          org.gjt.sp.jedit.msg.EditPaneUpdate

public class EditPaneUpdate
extends EBMessage

Message sent when an edit pane-related change occurs.

Since:
  jEdit 2.5pre1
Version:
  $Id: EditPaneUpdate.java,v 1.4 2003/01/12 03:08:24 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary

Nested classes inherited from class org.gjt.sp.jedit.EBMessage
`EBMessage.NonVetoable`

Field Summary
`static java.lang.Object` | `BUFFER_CHANGED` Edit pane buffer changed.
`static java.lang.Object` | `CREATED` Edit pane created.
`static java.lang.Object` | `DESTROYED` Edit pane destroyed.

Constructor Summary
`EditPaneUpdate(EditPane editPane, java.lang.Object what)` Creates a new edit pane update message.

Method Summary
`EditPane` | `getEditPane()` Returns the edit pane involved.
`java.lang.Object` | `getWhat()` Returns what caused this edit pane update.
`java.lang.String` | `paramString()` Returns a string representation of this message's parameters.

Methods inherited from class org.gjt.sp.jedit.EBMessage
`getSource, isVetoed, toString, veto`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATED

    public static final java.lang.Object CREATED

  Edit pane created.

### DESTROYED

    public static final java.lang.Object DESTROYED

  Edit pane destroyed.

### BUFFER_CHANGED

    public static final java.lang.Object BUFFER_CHANGED

  Edit pane buffer changed.

Constructor Detail

### EditPaneUpdate

    public EditPaneUpdate(EditPane editPane,
                          java.lang.Object what)

  Creates a new edit pane update message.

Parameters:
  `editPane` - The edit pane
  `what` - What happened

Method Detail

### getWhat

    public java.lang.Object getWhat()

  Returns what caused this edit pane update.

### getEditPane

    public EditPane getEditPane()

  Returns the edit pane involved.

### paramString

    public java.lang.String paramString()

  Description copied from class: `EBMessage`
  Returns a string representation of this message's parameters.

  Overrides:
    `paramString` in class `EBMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD